# GimpUi.widget_get_color_transform

    function widget_get_color_transform(widget: Gtk.Widget, config: Gimp.ColorConfig, src_profile: Gimp.ColorProfile, src_format: Babl.Object, dest_format: Babl.Object, softproof_profile: Gimp.ColorProfile, proof_intent: Gimp.ColorRenderingIntent, proof_bpc: Boolean): Gimp.ColorTransform {
        // Gjs wrapper for gimp_widget_get_color_transform()
    }

This function returns the Gimp.ColorTransform that transforms pixels from src_profile to the profile of the Gdk.Monitor the widget is displayed on.

Since 2.10

widget

  a Gtk.Widget

config

  a Gimp.ColorConfig

src_profile

  a Gimp.ColorProfile

src_format

  Babl format for the transform's source pixels

dest_format

  Babl format for the transforms's destination pixels

softproof_profile
proof_intent
proof_bpc
Returns

  the Gimp.ColorTransform.